POST
/api/v2/vouchers/validatePOST /api/v2/vouchers/validate
Authentication
Send your API key in the x-api-key header on every request.
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| UserId | unknown | Yes | |
| Code | string | Yes |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Valid | boolean | Yes | |
| Amount | unknown | Yes | |
| Currency | string | Yes | |
| RequiresEmailVerification | boolean | Yes | |
| RequiresApproval | boolean | Yes |
Example request
curl -X POST "https://{base_url}/api/v2/vouchers/validate" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"UserId":"…","Code":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.